textures/ut_slammer/nodrop
{
	qer_nocarve
	qer_trans 0.5
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodrop
}

textures/ut_slammer/policetape
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
        {
        	clampmap textures/ut_slammer/policetape.tga
	        blendFunc blend
        }
}

textures/ut_slammer/ladder
{
	  qer_editor_image textures/ut_slammer/ladder.jpg        
	  qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/ut_slammer/101_glass
{
        qer_editorimage textures/ut_slammer/tinfx3.jpg
        qer_trans 0.5
        surfaceparm nolightmap
        surfaceparm trans

        {
                map textures/ut_slammer/tinfx3.jpg
                tcGen environment
                blendfunc GL_ONE GL_ONE
        }
}

textures/ut_slammer/areaportal
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm areaportal
}

textures/ut_slammer/barbed
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm alphashadow
	surfaceparm noimpact
	cull none
	nopicmip

	{
		map textures/ut_slammer/barbed.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_slammer/beam_flo
{
        qer_trans 0.5
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_slammer/beam_flo.tga
                blendFunc blend
		tcMod scroll 0.03 0.0
	}
}

textures/ut_slammer/beam_misty
{
        qer_trans 0.5
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_slammer/beam_misty.tga
                tcMod Scroll .03 0
                blendFunc add
        }
}

textures/ut_slammer/beam_so
{
        qer_trans 0.5
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_slammer/beam_so.tga
                tcMod Scroll .01 0
                blendFunc blend
        }
}

textures/ut_slammer/beam_red
{
        qer_trans 0.5
	surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut_slammer/beam_red.tga
                tcMod Scroll .01 0
                blendFunc blend
        }
}

textures/ut_slammer/bean_light_fixture
{
	q3map_surfacelight 20000
	{
		map textures/ut_slammer/bean_light_fixture.jpg
	}
}

textures/ut_slammer/blinker
{
	qer_ediitorimage textures/ut_slammer/blinker.tga
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		map textures/ut_slammer/blinker.tga
		alphaGen wave triangle .5 .4 .5 .25
		blendFunc blend
	}
}

textures/ut_slammer/blueberrybranch
{
	deformVertexes bulge 3 3 .8
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        {
        	map textures/ut_slammer/blueberrybranch.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/branch
{
	deformVertexes bulge 3 3 .8
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        {
        	map textures/ut_slammer/branch.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/caulk
{
	surfaceparm nodraw
	surfaceparm nomarks
        surfaceparm nolightmap
}

textures/ut_slammer/chain
{
	cull disable
	surfaceparm alphashadow
	deformVertexes autoSprite2
	surfaceparm playerclip
	surfaceparm trans	
        {
        	map textures/ut_slammer/chain.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/clip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm playerclip
}

textures/ut_slammer/computerscreen
{
	qer_editorimage textures/ut_slammer/computerscreen.tga
	{
		map textures/ut_slammer/computerscreen.tga
	}
	{
		alphaFunc GE128
		map textures/ut_slammer/computerscreen.tga
		rgbGen wave sawtooth .5 .1 .3 60 
	}
}

textures/ut_slammer/2ndcomputerscreen
{
	qer_editorimage textures/ut_slammer/2ndcomputerscreen.tga
{
		map textures/ut_slammer/2ndcomputerscreen.tga
	}
	{
		alphaFunc GE128
		map textures/ut_slammer/2ndcomputerscreen.tga
		rgbGen wave sawtooth .7 .1 .1 10
	}
}

textures/ut_slammer/3rdcomputerscreen
{
	qer_editorimage textures/ut_slammer/3rdcomputerscreen.tga
{
		map textures/ut_slammer/3rdcomputerscreen.tga
	}
	{
		alphaFunc GE128
		map textures/ut_slammer/3rdcomputerscreen.tga
		rgbGen wave sawtooth .7 .1 .7 30
	}
}


textures/ut_slammer/4thcomputerscreen
{
	qer_editorimage textures/ut_slammer/4thcomputerscreen.tga
{
		map textures/ut_slammer/4thcomputerscreen.tga
	}
	{
		alphaFunc GE128
		map textures/ut_slammer/4thcomputerscreen.tga
		rgbGen wave sawtooth .8 .1 .5 90
	}
}

textures/ut_slammer/conifer
{
	deformVertexes bulge 3 3 .8
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        {
        	map textures/ut_slammer/conifer.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/conifer2
{
	deformVertexes bulge 3 3 .8
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
        {
        	map textures/ut_slammer/conifer2.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/diningfloor
{	
	{
		map textures/ut_slammer/diningfloor.tga
	}
	{ 
		map textures/ut_slammer/diningfloor.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{
		map textures/ut_slammer/chrome_metal.tga
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_slammer/fakeinsidedoor
{	
	{
		map textures/ut_slammer/fakeinsidedoor.tga
	}
	{ 
		map textures/ut_slammer/fakeinsidedoor.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{
		map textures/ut_slammer/chrome_metal.tga
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_slammer/fencemodified
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/ut_slammer/fencemodified.tga
		tcMod scale 3 3
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_slammer/fireextglass
{
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans
	{
		map textures/ut_slammer/fireextglass.tga
		blendfunc blend
	}
}

textures/ut_slammer/firesign
{
	q3map_surfacelight 5000
	{
		map textures/ut_slammer/firesign.jpg
	}
}

textures/ut_slammer/floceilinglight
{
        q3map_lightimage textures/ut_slammer/bean_light_fixture.jpg
	q3map_surfacelight 50
	qer_editorimage textures/ut_slammer/flolight.jpg
        qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm nomarks	
}

textures/ut_slammer/flower
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_slammer/flower.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_slammer/foodlamp
{
	q3map_lightimage textures/ut_slammer/foodlamp.jpg
	q3map_surfacelight 3000
	{
		map textures/ut_slammer/foodlamp.jpg
	}
}

textures/ut_slammer/forevernightbox
{
	qer_editorimage textures/ut_slammer/skybox1.tga
  	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 214 222 225 4 0 90
	skyparms textures/ut_slammer/env/forevernightbox - -
}

textures/ut_slammer/greenflare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
	{
		clampmap textures/ut_slammer/greenflare.tga
		blendFunc blend
	}
}

textures/ut_slammer/greenlight
{
	q3map_surfacelight 5000
	{
		map textures/ut_slammer/greenlight.jpg
	}
}

textures/ut_slammer/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/ut_slammer/mirror2
{
	qer_editorimage textures/ut_slammer/qer_mirror.tga
	surfaceparm nolightmap
	portal
	{
		map textures/ut_slammer/mirror1.tga
		blendfunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}
        {
               map textures/ut_slammer/mirror.tga
	       blendFunc GL_ZERO GL_ONE_MINUS_SRC_COLOR
        }

}

textures/ut_slammer/nodraw
{
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/ut_slammer/origin
{
	qer_editorimage textures/ut_slammer/origin.tga
	qer_nocarve
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm origin
}

textures/ut_slammer/phonecord
{
	surfaceparm trans
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm noimpact
	cull none
	nopicmip
	qer_trans 0.5

	{
		map textures/ut_slammer/phonecord.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut_slammer/redflare
{
	qer_editorimage textures/ut_slammer/staticredflare
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
        {
        	clampmap textures/ut_slammer/staticredflare.tga
	        blendFunc blend
        }
}

textures/ut_slammer/redflarestatic
{
	qer_editorimage textures/ut_slammer/staticredflare
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
        {
        	clampmap textures/ut_slammer/staticredflare.tga
	        blendFunc blend
        }
}

textures/ut_slammer/redlight
{
	q3map_surfacelight 5000
	{
		map textures/ut_slammer/redlight.jpg
	}
}

textures/ut_slammer/redplastic2
{	
	{
		map textures/ut_slammer/redplastic2.tga
	}
	{ 
		map textures/ut_slammer/redplastic2.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{
		map textures/ut_slammer/chrome_metal.jpg
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_slammer/redtower
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/ut_slammer/redtower.tga
		blendFunc blend
	}
}

textures/ut_slammer/rope
{
	cull disable
	surfaceparm alphashadow
	deformVertexes autoSprite2
	surfaceparm playerclip
	surfaceparm trans	
        {
        	map textures/ut_slammer/rope.tga
	        alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/ut_slammer/roundlightdim
{
	q3map_lightimage textures/ut_slammer/bean_light_fixture.jpg
	qer_editorimage textures/ut_slammer/roundflo.tga
	q3map_surfacelight 35000
	{
		map textures/ut_slammer/roundflo.tga
		blendFunc blend
	}
}

textures/ut_slammer/roundlightbright
{
	q3map_lightimage textures/ut_slammer/bean_light_fixture.jpg
	qer_editorimage textures/ut_slammer/roundflo.tga
	q3map_surfacelight 60000
	{
		map textures/ut_slammer/roundflo.tga
		blendFunc blend
	}
}

textures/ut_slammer/shoes
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
        {
        	clampmap textures/ut_slammer/shoes.tga
	        blendFunc blend
        }
}

textures/ut_slammer/shoes2
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	cull none
        {
        	clampmap textures/ut_slammer/shoes2.tga
	        blendFunc blend
        }
}

textures/ut_slammer/shower
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ut_slammer/shower.tga
		blendFunc blend
		tcmod scroll .3 -1.5
	}
}

textures/ut_slammer/spotflo
{
	q3map_surfacelight 80000
	{
		map textures/ut_slammer/spotflo.jpg
	}
}

textures/ut_slammer/spotso
{
	q3map_lightimage textures/ut_slammer/sodium.tga
	q3map_surfacelight 200000
	{
		map textures/ut_slammer/spotso.jpg
	}
}

textures/ut_slammer/stainless
{	
	{
		map textures/ut_slammer/stainless.tga
	}
	{ 
		map textures/ut_slammer/stainless.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{
		map textures/ut_slammer/chrome_metal.tga
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_slammer/stainless2
{	
	{
		map textures/ut_slammer/stainless2.tga
	}
	{ 
		map textures/ut_slammer/stainless2.tga 
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
	} 
	{
		map textures/ut_slammer/chrome_metal.tga
		tcgen environment
		blendFunc add
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/ut_slammer/steam
{
	deformVertexes wave 64 sin 5 .5 0 .5
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ut_slammer/steam.tga
		blendFunc blend
		tcmod scroll .055 -.1
	}
}

textures/ut_slammer/streetlight_flare
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/ut_slammer/streetlight_flare.tga
		blendFunc blend
	}
}

textures/ut_slammer/urt1
{
	qer_editorimage textures/ut_slammer/urt1.tga
	{
		animMap 12 textures/ut_slammer/urt1.tga textures/ut_slammer/urt2.tga textures/ut_slammer/urt3.tga textures/ut_slammer/urt3.tga textures/ut_slammer/urt2.tga 		textures/ut_slammer/urt1.tga
	}
	{
		map textures/ut_slammer/clouds.tga
		blendFunc blend
		rgbGen wave sin .9 .1 0 .1
	}
	{
		map textures/ut_slammer/UCSLTD.tga
		blendFunc blend
		rgbGen wave sin 1 .5 0 1
	}
	{
		map textures/ut_slammer/clouds2.tga
		tcMod scroll -.03 0
		blendFunc blend
	}
}

textures/ut_slammer/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
}

textures/ut_slammer/whitelight
{
	q3map_surfacelight 5000
	{
		map textures/ut_slammer/whitelight.jpg
	}
}

textures/ut_slammer/whitetower
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/ut_slammer/whitetower.tga
		blendFunc blend
	}
}